Package io.dapr.v1

# Class DaprProtos.GetWorkflowRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>
io.dapr.v1.DaprProtos.GetWorkflowRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.GetWorkflowRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.GetWorkflowRequest

public static final class DaprProtos.GetWorkflowRequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder> implements DaprProtos.GetWorkflowRequestOrBuilder

     GetWorkflowRequest is the request for GetWorkflowBeta1.

Protobuf type `dapr.proto.runtime.v1.GetWorkflowRequest`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.GetWorkflowRequest.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.GetWorkflowRequest`
`build()`
`DaprProtos.GetWorkflowRequest`
`buildPartial()`
`DaprProtos.GetWorkflowRequest.Builder`
`clear()`
`DaprProtos.GetWorkflowRequest.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.GetWorkflowRequest.Builder`
`clearInstanceId()`
ID of the workflow instance to query.
`DaprProtos.GetWorkflowRequest.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.GetWorkflowRequest.Builder`
`clearWorkflowComponent()`
Name of the workflow component.
`DaprProtos.GetWorkflowRequest.Builder`
`clone()`
`DaprProtos.GetWorkflowRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getInstanceId()`
ID of the workflow instance to query.
`com.google.protobuf.ByteString`
`getInstanceIdBytes()`
ID of the workflow instance to query.
`String`
`getWorkflowComponent()`
Name of the workflow component.
`com.google.protobuf.ByteString`
`getWorkflowComponentBytes()`
Name of the workflow component.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.GetWorkflowRequest.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.GetWorkflowRequest.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.GetWorkflowRequest.Builder`
`mergeFrom(DaprProtos.GetWorkflowRequest other)`
`final DaprProtos.GetWorkflowRequest.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.GetWorkflowRequest.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.GetWorkflowRequest.Builder`
`setInstanceId(String value)`
ID of the workflow instance to query.
`DaprProtos.GetWorkflowRequest.Builder`
`setInstanceIdBytes(com.google.protobuf.ByteString value)`
ID of the workflow instance to query.
`DaprProtos.GetWorkflowRequest.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final DaprProtos.GetWorkflowRequest.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.GetWorkflowRequest.Builder`
`setWorkflowComponent(String value)`
Name of the workflow component.
`DaprProtos.GetWorkflowRequest.Builder`
`setWorkflowComponentBytes(com.google.protobuf.ByteString value)`
Name of the workflow component.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>`

### clear

public DaprProtos.GetWorkflowRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>`

### getDefaultInstanceForType

public DaprProtos.GetWorkflowRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.GetWorkflowRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.GetWorkflowRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.GetWorkflowRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>`

### setField

public DaprProtos.GetWorkflowRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>`

### clearField

public DaprProtos.GetWorkflowRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>`

### clearOneof

public DaprProtos.GetWorkflowRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>`

### setRepeatedField

public DaprProtos.GetWorkflowRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>`

### addRepeatedField

public DaprProtos.GetWorkflowRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>`

### mergeFrom

public DaprProtos.GetWorkflowRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetWorkflowRequest.Builder>`

### mergeFrom

public DaprProtos.GetWorkflowRequest.Builder mergeFrom(DaprProtos.GetWorkflowRequest other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>`

### mergeFrom

public DaprProtos.GetWorkflowRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetWorkflowRequest.Builder>`
Throws:
  `IOException`

### getInstanceId

public String getInstanceId()

     ID of the workflow instance to query.

`string instance_id = 1 [json_name = "instanceID"];`

Specified by:
  `getInstanceId` in interface `DaprProtos.GetWorkflowRequestOrBuilder`
Returns:
  The instanceId.

### getInstanceIdBytes

public com.google.protobuf.ByteString getInstanceIdBytes()

     ID of the workflow instance to query.

`string instance_id = 1 [json_name = "instanceID"];`

Specified by:
  `getInstanceIdBytes` in interface `DaprProtos.GetWorkflowRequestOrBuilder`
Returns:
  The bytes for instanceId.

### setInstanceId

public DaprProtos.GetWorkflowRequest.Builder setInstanceId(String value)

     ID of the workflow instance to query.

`string instance_id = 1 [json_name = "instanceID"];`

Parameters:
  `value` - The instanceId to set.
Returns:
  This builder for chaining.

### clearInstanceId

public DaprProtos.GetWorkflowRequest.Builder clearInstanceId()

     ID of the workflow instance to query.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  This builder for chaining.

### setInstanceIdBytes

public DaprProtos.GetWorkflowRequest.Builder setInstanceIdBytes(com.google.protobuf.ByteString value)

     ID of the workflow instance to query.

`string instance_id = 1 [json_name = "instanceID"];`

Parameters:
  `value` - The bytes for instanceId to set.
Returns:
  This builder for chaining.

### getWorkflowComponent

public String getWorkflowComponent()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Specified by:
  `getWorkflowComponent` in interface `DaprProtos.GetWorkflowRequestOrBuilder`
Returns:
  The workflowComponent.

### getWorkflowComponentBytes

public com.google.protobuf.ByteString getWorkflowComponentBytes()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Specified by:
  `getWorkflowComponentBytes` in interface `DaprProtos.GetWorkflowRequestOrBuilder`
Returns:
  The bytes for workflowComponent.

### setWorkflowComponent

public DaprProtos.GetWorkflowRequest.Builder setWorkflowComponent(String value)

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Parameters:
  `value` - The workflowComponent to set.
Returns:
  This builder for chaining.

### clearWorkflowComponent

public DaprProtos.GetWorkflowRequest.Builder clearWorkflowComponent()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Returns:
  This builder for chaining.

### setWorkflowComponentBytes

public DaprProtos.GetWorkflowRequest.Builder setWorkflowComponentBytes(com.google.protobuf.ByteString value)

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Parameters:
  `value` - The bytes for workflowComponent to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.GetWorkflowRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>`

### mergeUnknownFields

public final DaprProtos.GetWorkflowRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowRequest.Builder>`